<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.analysis.models.FacebookPostsDataFilter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.analysis.models.FacebookPostsDataFilter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.analysis.models.FacebookPostsDataFilter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.png" usemap="#pyspottedunipd.analysis.models.FacebookPostsDataFilter_map" alt=""/>
  <map id="pyspottedunipd.analysis.models.FacebookPostsDataFilter_map" name="pyspottedunipd.analysis.models.FacebookPostsDataFilter_map">
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html" alt="pyspottedunipd.analysis.models.StatsAnalysis" shape="rect" coords="172,112,507,136"/>
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html" alt="pyspottedunipd.analysis.models.MLAnalysis" shape="rect" coords="0,168,335,192"/>
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_time_analysis.html" alt="pyspottedunipd.analysis.models.TimeAnalysis" shape="rect" coords="345,168,680,192"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa60573d359cb6c8a4004e2be75e1daf5"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#aa60573d359cb6c8a4004e2be75e1daf5">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:aa60573d359cb6c8a4004e2be75e1daf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7410ac8346a93e803df0730878c7e30f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7410ac8346a93e803df0730878c7e30f">parse_csv</a> (self)</td></tr>
<tr class="separator:a7410ac8346a93e803df0730878c7e30f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c1af8e07f1fca90105cefe94ae21e15"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a4c1af8e07f1fca90105cefe94ae21e15">write_csv</a> (self, headers, data, out_file)</td></tr>
<tr class="separator:a4c1af8e07f1fca90105cefe94ae21e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7889fa48c8c7ca17f274971e7769e29c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7889fa48c8c7ca17f274971e7769e29c">convert_time_columns</a> (headers, headers_to_convert, data)</td></tr>
<tr class="separator:a7889fa48c8c7ca17f274971e7769e29c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a78fcf3b4ce5299afdf160b79636a35"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a1a78fcf3b4ce5299afdf160b79636a35">add_time_columns</a> (headers, data, date_header, time_header)</td></tr>
<tr class="separator:a1a78fcf3b4ce5299afdf160b79636a35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d5f5617721928dc6298443f2596e58"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a39d5f5617721928dc6298443f2596e58">add_msg_stats_columns</a> (headers, data, message_column)</td></tr>
<tr class="separator:a39d5f5617721928dc6298443f2596e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a48ef6c27fc329d19d52e03833ba111e5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a></td></tr>
<tr class="separator:a48ef6c27fc329d19d52e03833ba111e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Parses and fixes raw data </pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00038">38</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa60573d359cb6c8a4004e2be75e1daf5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dataset_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param dataset_file: str
    Path to folder with data to analyse
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00041">41</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a39d5f5617721928dc6298443f2596e58"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.add_msg_stats_columns </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>message_column</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param message_column: str
    Name of column with message post
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds message length, number of words, average word length column
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00140">140</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a1a78fcf3b4ce5299afdf160b79636a35"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.add_time_columns </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>date_header</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>time_header</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param date_header: str
    Name of column containing date data
:param time_header: str
    Name of column containing time data
:return: tuple [] of str, matrix ([] of [])
    Data with edited headers and added useful time columns.
    Adds hour, minute, week day, month, year headers
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00094">94</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7889fa48c8c7ca17f274971e7769e29c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.convert_time_columns </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers_to_convert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<pre class="fragment">:param headers: [] of str
    Column names of data
:param headers_to_convert: [] of str
    Column names of data to convert from time format to float
:param data: [] of []
    Raw data
:return: [] of []
    Input data but with converted time columns
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00074">74</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7410ac8346a93e803df0730878c7e30f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.parse_csv </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: tuple [], [] of []
    Headers of csv file and data
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00051">51</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a4c1af8e07f1fca90105cefe94ae21e15"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.FacebookPostsDataFilter.write_csv </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>headers</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>out_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param headers: [] of str
    Names of columns
:param data: [] of []
    Actual data
:param out_file: str
    Path to output file
:return: void
    Saves data in csv file
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00059">59</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a48ef6c27fc329d19d52e03833ba111e5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">pyspottedunipd.analysis.models.FacebookPostsDataFilter.dataset_file</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00049">49</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/analysis/<a class="el" href="analysis_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis.html">analysis</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">FacebookPostsDataFilter</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
